@font-face {
    font-family: 'Poppins';
    src: url('/css/fonts/poppins/Poppins-Medium.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

.login-container {
    justify-content: flex-end;
    background-color: #EEEEEE;
    font-family: "Poppins", sans-serif !important;
}
.dx-widget, .dx-widget input, .dx-widget textarea {
    font-family: "Poppins", sans-serif !important;
}

.login-container .login-form {
    position: absolute;
    left: 15%;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 100%;
    max-width: 536px;
    z-index: 99;
    padding: 0;
}

        .login-container .login-form .login-form-inner {
            border-radius: 12px;
            background-color: #fff;
            padding: 50px 60px;
            width: 100%;
            display: flex;
            flex-direction: column;
        }

            .login-container .login-form .login-form-inner .brand-image {
                width: 100%;
                max-width: 220px;
                margin: 0 0 85px -8px;
            }

                .login-container .login-form .login-form-inner .brand-image img {
                    width: 100%;
                }

            .login-container .login-form .login-form-inner .login-welcome-text {
                font-size: 0.75rem;
                line-height: 1.125rem;
                font-weight: 500;
                color: #3E5FDE;
            }

            .login-container .login-form .login-form-inner .login-field-group .dx-box-flex.dx-box {
                flex-direction: row !important;
                justify-content: space-between !important;
            }

                .login-container .login-form .login-form-inner .login-field-group .dx-box-flex.dx-box .dx-item {
                    flex: initial !important;
                }

            .login-container .login-form .login-form-inner .login-field-group .login-forgot-password {
                font-size: 0.6875rem;
                line-height: 1rem;
                font-weight: 500;
                color: #3E5FDE;
                text-decoration: none;
            }

            .login-container .login-form .login-form-inner .login-field-group .dx-checkbox-icon {
                border: 2px solid #3E5FDE;
            }

            .login-container .login-form .login-form-inner .login-field-group .dx-checkbox-text {
                font-size: 0.75rem;
                line-height: 1.125rem;
                font-weight: 500;
            }

        .login-container .login-form .login-form-header {
            font-size: 1.25rem;
            line-height: 1.75rem;
            font-weight: 700;
            padding: 0;
            margin: 0 0 16px;
            color: #303778;
        }

        .login-container .login-form .dx-button {
            min-width: 160px;
            height: 46px;
            box-shadow: none;
            border-radius: 50px;
            background: #3E5FDE;
            float: left;
            margin-top: 45px;
            font-family: "Poppins", sans-serif !important;
        }

            .login-container .login-form .dx-button .dx-button-text {
                text-transform: unset;
                font-size: 0.75rem;
                line-height: 1.125rem;
                font-weight: 500;
                letter-spacing: 0.6px;
            }

        .login-container .login-form .dx-texteditor-container {
            height: 46px;
            border: 2px solid #8E8E8E;
            border-radius: 6px;
            font-family: "Poppins", sans-serif !important;
        }

        .login-container .login-form .dx-texteditor-label div {
            box-shadow: none !important;
        }

        .login-container .login-form .dx-texteditor-label .dx-label span {
            font-size: 13px;
            font-weight: 500;
            color: #8E8E8E;
            padding: 0 5px;
            background-color: #fff;
            height: 1.125rem !important;
            font-family: "Poppins", sans-serif !important;
        }
        .login-container .login-form .dx-texteditor:not(.dx-texteditor-empty) .dx-texteditor-label .dx-label span,
        .dx-editor-outlined.dx-texteditor-with-floating-label.dx-texteditor-empty.dx-dropdowneditor-active .dx-label span,
        .dx-editor-outlined.dx-texteditor-with-floating-label.dx-texteditor-empty.dx-state-focused .dx-label span {
            font-size: 11px;
            transform: translate(0, -6.5px)
        }
        .dx-editor-outlined.dx-texteditor-with-floating-label.dx-texteditor-empty .dx-label span {
            margin-top: -8.5px;
        }

        .login-container .login-form .dx-layout-manager .dx-field-item {
            padding: 0 !important;
        }

        .login-container .login-form .dx-item.dx-box-item {
            margin-bottom: 20px;
        }

            .login-container .login-form .dx-item.dx-box-item:last-child {
                margin-bottom: 0;
            }

        .login-container .login-help {
            height: 108px;
            padding: 0 60px;
            background-color: #fff;
            border-radius: 12px;
            margin: 30px 0 0;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

            .login-container .login-help span {
                font-size: 0.6875rem;
                line-height: 1rem;
                font-weight: 500;
                display: flex;
                align-items: center;
            }

                .login-container .login-help span img {
                    margin: 0 14px 0 0;
                    width: 16px;
                }

            .login-container .login-help a {
                font-size: 1.25rem;
                line-height: 1.75rem;
                font-weight: 700;
                color: #303778;
                text-decoration: none;
            }
            .login-container .login-help a {
                display: flex;
                gap: 10px;
                font-weight: 500;
                padding: 5px;
                color: #3E5FDE;
                font-size: 0.75em;
            }
                .login-container .login-help a:hover {
                    color: rgb(0, 42, 201)
                }
        .login-container .login-bg {
            width: 78%;
            position: relative;
        }

            .login-container .login-bg::before {
                content: "";
                display: block;
                width: 100%;
                height: 100%;
                position: absolute;
                top: 0;
                left: 0;
                background-color: #3E5FDE;
                opacity: 0.85;
            }

        .login-container .copyright {
            font-size: 0.563rem;
            line-height: 0.625rem;
            font-weight: 500;
            position: absolute;
            left: 35px;
            bottom: 30px;
            color: #A1A1A1;
            display: flex;
            flex-direction: column;
            padding: 18px 0 0;
        }

            .login-container .copyright::before {
                content: "";
                display: block;
                width: 70px;
                height: 7px;
                background-image: url("../images/optidata_logo_gray.svg");
                position: absolute;
                top: 0;
                left: 0;
                background-position: center;
                background-repeat: no-repeat;
                background-size: cover;
            }

            .login-container .copyright a {
                color: #A1A1A1;
                text-decoration: none;
            }
        .login-container .login-bg img {
            width: 100%;
            height: 100vh;
            object-fit: cover;
        }
        @media(max-width: 630px){
            .login-container .login-form {
                left: 5%;
                max-width: 90%;
            }
                .login-container .login-form .login-form-inner,
                .login-container .login-help {
                    padding: 16px;
                    width: 100%;
                }
                .login-container .login-form .login-form-inner {
                    height: auto;
                }
                    .login-container .login-form .login-form-inner .brand-image {
                        margin-top: 10px;
                        margin-bottom: 20px;
                    }
                .login-container .login-form .login-form-header {
                    margin-bottom: 5px;
                }
                .login-container .login-form .dx-button {
                    margin-top: 0;
                }
            .login-container .login-help {
                height: 64px;
                margin-top: 20px;
            }
            .text-danger.h6.validation-summary-errors ul {
                margin-bottom: 5px;
            }
            .login-container .copyright {
                flex-direction: row;
                bottom: 20px;
                left: 5%;
            }
        }
        .login-form-inner .fa-arrow-up-from-bracket,
        .login-form-inner .fa-file-export {
            color: white;
        }
        @media (max-width: 784px) {
            .login-container .login-bg {
                width: auto;
            }
        }

        .dx-button-content .dx-icon {
            font-size: 18px !important;
        }
        .dx-button-has-icon.dx-button-has-text .dx-icon {
            margin-right: 14px;
        }
        .dx-button-has-icon.dx-button-has-text .dx-button-content {
            padding-left: 16px;
        }
        #oktaLoginButton .dx-button-content {
            padding-inline: 16px;
        }

        .dx-widget .dx-texteditor-container .dx-texteditor-input-container input {
            font-size: 0.75rem;
            line-height: 1.125rem;
            font-weight: 500;
            color: #303778;
            padding: 9px 17px 8px 29px;
        }

        .dx-editor-outlined.dx-texteditor-with-floating-label.dx-texteditor-empty .dx-texteditor-label .dx-label, .dx-editor-outlined.dx-texteditor-with-floating-label .dx-texteditor-label .dx-label {
            padding: 0 0 0 14px !important;
        }

        .dx-editor-outlined .dx-texteditor-label .dx-label span {
            font-size: 0.75rem;
/*            line-height: 1.125rem;*/
            font-weight: 500;
            color: #8E8E8E;
            background-color: #fff;
            padding: 0 5px;
            height: 14px !important;
        }

        .dx-widget .dx-invalid .dx-texteditor-container {
            border: 2px solid #FF6363;
        }

        .dx-widget .dx-invalid .dx-texteditor-label .dx-label span {
            color: #FF6363;
        }

        .dx-dropdowneditor-active:not(.dx-datebox) .dx-texteditor-container,
        .dx-state-focused > .dx-texteditor-container,
        .dx-state-focused > .dx-dropdowneditor-input-wrapper > .dx-texteditor-container {
            border: 2px solid #303778 !important;
        }

        .dx-dropdowneditor-active:not(.dx-datebox) .dx-texteditor-label span,
        .dx-state-focused > .dx-texteditor-label > .dx-label > span,
        .dx-state-hover > .dx-texteditor-label > .dx-label > span {
            color: #303778 !important;
        }

        .dx-editor-outlined.dx-texteditor-with-floating-label .dx-label,
        .dx-editor-outlined.dx-texteditor-with-floating-label .dx-label-after,
        .dx-editor-outlined.dx-texteditor-with-floating-label .dx-label-before,
        .dx-editor-outlined.dx-texteditor-with-label .dx-label,
        .dx-editor-outlined.dx-texteditor-with-label .dx-label-after,
        .dx-editor-outlined.dx-texteditor-with-label .dx-label-before {
            border: none;
        }

        .dx-editor-outlined.dx-texteditor-with-floating-label.dx-state-hover .dx-texteditor-container,
        .dx-editor-outlined.dx-texteditor-with-floating-label.dx-state-focused .dx-texteditor-container {
            border-color: #303778;
        }